unit Unit1;
interface
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Unit3, Unit2;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Edit2: TEdit;
    Label3: TLabel;
    Edit3: TEdit;
    Label4: TLabel;
    Memo1: TMemo;
    Button1: TButton;
    Label5: TLabel;
    Edit4: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
var
  Form1: TForm1;
implementation
{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Edit1.Clear;
  Edit1.text:='0,2';
  Edit2.text:='0,1';
  Edit3.text:='1';
  Edit4.text:='0,001';
  Memo1.Clear;
 end;

procedure TForm1.Button1Click(Sender: TObject);
 var xn,xk,x,h,e,a,s,y :extended;
     n:integer;
begin
  Memo1.Clear;
  Memo1.Lines.Add('Результаты ст. гр. 020601 Шмана А.С.');
  xn:=StrToFloat(Edit1.Text);
  Memo1.Lines.Add(' xn='+FloatToStrF(xn,ffFixed,6,2));
  xk:=StrToFloat(Edit3.Text);
  Memo1.Lines.Add(' xk='+FloatToStrF(xk,ffFixed,6,2));
  h:=StrToFloat(Edit2.Text);
  Memo1.Lines.Add(' h='+FloatToStrF(h,ffFixed,8,3));
  e:=StrToFloat(Edit4.Text);
  Memo1.Lines.Add(' e='+FloatToStrF(e,ffFixed,8,5));
  CalcS(Memo1, xn, xk, h, e);
  CalcY(Memo1, xn, xk, h);
end;

end.

